Skip to main content
GET
List all account transfers

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

clientEntityId
string<uuid>

Identifier of the client entity. Filters results to fetch only resources associated with the specified client entity. Use the clientEntityId returned when you create a client with Create a partner client (POST /v1/partner/clients). This is not the entityId of your own account returned by GET /v1/accounts.

Example:

"a3f1b2c4-d5e6-7890-abcd-ef1234567890"

accountId
string

Identifier of the account. Filters results to fetch only resources associated with the specified account.

Example:

"1000565227"

sourceAccountId
string

Identifier of the source account. Filters transfers to those originating from the specified account.

Example:

"1000565227"

destinationAccountId
string

Identifier of the destination account. Filters transfers to those sent to the specified account.

Example:

"1000565227"

sourceType
enum<string>

Filter by source type.

Available options:
account,
blockchain
destinationType
enum<string>

Filter by destination type.

Available options:
account,
blockchain
status
enum<string>[]

Filter by transfer status. To match more than one status, repeat the parameter, for example status=pending&status=failed. A transfer is returned if it matches any of the listed statuses.

Available options:
pending,
complete,
failed
from
string

Queries items created since the specified date-time (inclusive) in ISO 8601 format. ISO-8601 UTC date/time format.

Example:

"2020-04-10T02:13:30.000Z"

to
string

Queries items created before the specified date-time (inclusive) in ISO 8601 format. ISO-8601 UTC date/time format.

Example:

"2020-04-10T02:13:30.000Z"

pageBefore
string

A collection ID value used for pagination. It marks the exclusive end of a page. When provided, the collection resource will return the next n items before the id, with n being specified by pageSize.

Example:

"def9520a-5280-4089-9b02-3c9ef8fc8514"

pageAfter
string

A collection ID value used for pagination. It marks the exclusive beginning of a page. When provided, the collection resource will return the next n items after the id, with n being specified by pageSize.

Example:

"bce1e961-bdb8-4983-a9c2-0b3fbc2614cf"

pageSize
integer

Limits the number of items to be returned. The maximum is 200. A larger value is rejected with 400; it is not reduced to the maximum.

If omitted, the collection will determine the page size itself.

Required range: 1 <= x <= 200
Example:

5

Response

Successfully retrieved a list of transfers.

data
object[]